Bug 56868

Summary: [chromium] Make WebClipboard::isFormatAvailable() be able to check for plain text
Product: WebKit Reporter: Viet-Trung Luu <viettrungluu>
Component: PlatformAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, dcheng, dimich, eric, tony
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Attachments:
Description Flags
proposed patch
tony: review+, commit-queue: commit-queue-
take 2 (same patch, updated) none

Description Viet-Trung Luu 2011-03-22 15:05:58 PDT
Basically, in WebKit, we just need to add an entry to the WebClipboard::Format enum.

I have a patch....
Comment 1 Viet-Trung Luu 2011-03-22 15:19:25 PDT
Created attachment 86518 [details]
proposed patch
Comment 2 Viet-Trung Luu 2011-03-22 15:28:38 PDT
Chromium-side CL containing corresponding changes in Chromium (and more):

http://codereview.chromium.org/6724010/
Comment 3 Viet-Trung Luu 2011-03-22 16:11:25 PDT
Could I get a cq+ for this? Thanks in advance.
Comment 4 WebKit Commit Bot 2011-03-22 17:57:37 PDT
Comment on attachment 86518 [details]
proposed patch

Rejecting attachment 86518 [details] from commit-queue.

Failed to run "['./Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=cr-jail-7', 'land-a..." exit_code: 2

Last 500 characters of output:

r81731 = f40b03778352d945ee70aef9aa78b6ae6c6958fd (refs/remotes/trunk)
	M	Source/WebKit/mac/Plugins/WebBasePluginPackage.mm
	M	Source/WebKit/mac/ChangeLog
	M	Source/WebKit2/ChangeLog
	M	Source/WebKit2/Shared/Plugins/Netscape/mac/NetscapePluginModuleMac.mm
	M	Source/WebKit2/WebProcess/WebCoreSupport/WebFrameLoaderClient.cpp
r81732 = 5099c56863c375e4089a7ad0c8e41ab88e201bbc (refs/remotes/trunk)
First, rewinding head to replay your work on top of it...
Fast-forwarded master to refs/remotes/trunk.

Full output: http://queues.webkit.org/results/8228493
Comment 5 Viet-Trung Luu 2011-03-23 10:02:20 PDT
Created attachment 86636 [details]
take 2 (same patch, updated)
Comment 6 Viet-Trung Luu 2011-03-23 10:03:03 PDT
Could we try again? (I thought the commit-queue was supposed to take care of ChangeLog conflicts?)
Comment 7 WebKit Commit Bot 2011-03-23 12:09:41 PDT
The commit-queue encountered the following flaky tests while processing attachment 86636 [details]:

http/tests/websocket/tests/send.html bug 56945 (author: abarth@webkit.org)
The commit-queue is continuing to process your patch.
Comment 8 WebKit Commit Bot 2011-03-23 12:13:29 PDT
Comment on attachment 86636 [details]
take 2 (same patch, updated)

Clearing flags on attachment: 86636

Committed r81792: <http://trac.webkit.org/changeset/81792>
Comment 9 WebKit Commit Bot 2011-03-23 12:36:39 PDT
The commit-queue encountered the following flaky tests while processing attachment 86636 [details]:

media/invalid-media-url-crash.html bug 51138 (authors: inferno@chromium.org and jamesr@chromium.org)
The commit-queue is continuing to process your patch.
Comment 10 Eric Seidel (no email) 2011-06-18 19:58:32 PDT
Looks like this was landed.